<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>HTML CSS</title>

    <!--external CSS Stlye Sheet--> 
    <link rel="stylesheet" href="Fachbegriffe.css">
    
    <meta name="viewport" content="width=device-width, initial-scale=1">


</head> 

<body>
<div id="page-container">
<div id="content-wrap">
<header> 
    <div class="row">
        <div class="container">
          <div class="column">             
          </div>

          <div class="column">
          <div class="row">
             <div class="columnn" >
                  <a href="Startseite.html">STARTSEITE</a>
             </div>
             <div class="columnn">
              <a href="moduluebersicht.html">MODUL</a>
            </div>
             <div class="columnn">
             <div class="dropdown">
              <button class="dropbtn">
              <a href="fachbegriffe.html">FACHBEGRIFFE</a>
              </button>
                
              <div class="dropdown-content">
              <a href="das-web.html">Das Web</a>
              <a href="html-css.html">CSS HTML</a>
              </div>
              </div>
              </div>

              <div class="columnn" >
              <a href="ueberuns.html">ABOUT</a>
              </div>
             </div>
          </div>
          <div class="column">
            <a href="Startseite.html"></a>
          </div>
        </div>
      </div>       
</header>
      
<!--Content-->
<!--breadcrumb-->
<div class=content> 
     <ul class="breadcrumbs">
            <li> <a href="Startseite.html">Startseite</a></li>
            <li><a href="Fachbegriffe.html">Fachbegriffe</a></li>
            <li>HTML und CSS</li>
        </ul>

<!--Titel-->
<h1>CSS und HTML</h1>

<!--content grid-->        
<div class="row">
    <div class="col-1 menu">
        <ul>
            <a href="#F1"><li>HTML</li></a>
            <a href="#F2"> <li>HTML Dokument</li></a>
            <a href="#F3"><li>Canavas</li></a>
            <a href="#F4"> <li>CSS</li></a>
            <a href="#F5"> <li>DOM</li></a>
            <a href="#F6"><li>CSS-Syntax></li></a>
            <a href="#F7"><li>Box-Modell</li></a>
            <a href="#F8"><li>Kaskadierung</li></a>
            <a href="#F9"><li>Responsive Webdesign</li></a>
            <a href="#F10"><li>Pseudoklassen</li></a>
        </ul>
    </div>
                      
    <div class="col-2">
        <h2 id="F1">Hypertext Markup Language (HTML)</h2>
        <p>Test Text für AnsichtHTML beschreibt aus welchen strukturellen Bestandteilen sich der Inhalt eines Dokuments zusammensetzt. Die Bestandteile werden als Hierarchie von Knoten im Client repräsentiert. Die Dokumente bestehen aus Elementen mit Tag. 
        In der Regel ein öffnendes und schliessendes Tag, dazwischen steht der Inhalt. Weitere Informationen <a href="https://www.w3schools.com/html/default.asp">hier.</a>
        </p>

        <h2 id="F2">HTML Dokument</h2>
        <p>Ein HTML5-Dokument verfügt über den Minimalinhalt html, head und body. Html ist einziges Wurzelelement. Titel, Metadaten, JavaScript CSS sind im head enthalten. Im body efinden sich weitere HTML5 Elmente (z.B Text). 
        </p>

        <h2 id="F3">Canavas</h2>
        <p> Canavas ist ein Programmierbares img-Element, dass sich mit Hilfe von JavaScript bemalen lässt. Es sind sowohl dynamische als auch statische Inhalte möglich (Bilder, Animationen, etc.). 
        Im Ausgangszustand handelt es sich hier um eine leere transparente Fläche.
        </p>


        <h2 id="F4">Cascading Stylesheets (CSS)</h2>
        <p>CSS ist die Formatierungssprache für HTML (und XML). Die Formatierungs-Informationen können auf drei Arten Eingebunden werden. Eine Möglichkeit ist die Einbindung Direkt im Element, weitere Möglichkeiten bestehen mit der Einbindung im Head-Bereich des HTML –Dokuments oder in einer externen CSS-Datei. 
        Auf <a href= "https://www.w3schools.com/css/default.asp">W3Schools</a> findet man weitere Informationen zu CSS 
        </p>

        
        <h2 id="F5">Document Object Model (DOM)</h2>
        <p>DOM ist ein Plattform- und sprachneutrales Interface. Es ermöglicht einen dynamischen Zugriff und die Veränderung des Inhaltes, wie auch der Struktur und der Gestalt von Dokumenten.  Des Weiteren erlaubt es die Weiterverarbeitung und die Integration der Ergebnisse in das Dokument. 
        Beispiel: dynamisches HTML: beschreibt die Kombination aus HTML, Stylesheets (CSS) und Skript. 
        </p>

        
        <h2 id="F6">CSS-Syntax</h2>
        <p>Das ist die Selektion von DOM Elementen. Grundsätzlich besteht es aus Selektoren, welche die Auswahl eines DOM-Elements z.B. p, h2 etc. repräsentieren und der Zuweisung von Werten zu Attributen (eigenschaft: wert;).           
        </p>


        <h2 id="F7">Box-Modell</h2>
        <p>Definiert die Berechnung der Breite und Höhe von Elementen. Gesamtbreite eines Elements errechnet sich aus einer Addition der Breite (width), des Innenabstands (padding), der Rahmenstärke (border-width) und des Aussenabstands (margin). 
        Dies gilt analog für die Höhe (height).
        </p>


        <h2 id="F8">Kaskadierung </h2>
        <p>Das CSS steht für Cascading Stylesheet. Dies impliziert, dass mehrere Stylesheets angewendet werden können. Die Stilbeschreibungen werden zusammengefasst und gemeinsam auf das Dokument angewendet. Es ist zwischen externen und internen Stylesheets sowie durch den Benutzer bei seinem Browser registrierten Stylesheets zu unterscheiden.  Treten Konflikte bei der Stilbeschreibung auf, werden diese durch eine Reihe komplexer Vorrangregen aufgelöst. 
        Definierte Stile haben Vorrang vor den Benutzer-Stylesheets, die Reihenfolge der Verarbeitung spielt ebenfalls eine Rolle. 
        </p>


        <h2 id="F9">Responsive Webdesign</h2>
        <p>Responsive Webdesign ist der gestalterische und technische Ansatz, so dass Websites auf Eigenschaften des benutzten Endgeräts reagieren. Dies betrifft Anordnung und Darstellung einzelner Elemente (Navigation, Text, etc.). 
        Die Umsetzung im CSS ist via Media Queries möglich. 
        </p>


        <h2 id="F10">Pseudoklassen</h2>
        <p>Hiermit werden spezielle Zustände von Elementen adressiert. Ein Element wird zum Beispiel anders formatier, wenn sich die Maus drüber befindet. Weitere Informationen findet man <a href="https://wiki.selfhtml.org/wiki/CSS/Tutorials/Selektoren/Pseudoklasse">hier.</a>
        </p>

        
        </div>
    </div>
    </div>
</div>                      
          
        <!--Footer-->
<footer>  
    <div class="footer">      
    <a href="impressum.html">Impressum</a>
    <a href="Kontakt.html">Kontakt</a>
    <a href="Hinzufügen.html">Hinzufügen</a>
    </div>
</footer>
</div>
</div>


</body>

